## file-roller 3.32.2

=== debian/changelog ===
file-roller (3.32.2-1ubuntu1~ja1) eoan; urgency=medium

  [ Dmitry Tunin ]
  * debian/patches/disable_p7zip-full_for_zip.patch
     - Disable using p7zip-full for zip files (LP: #1382106)

 -- Jun Kobayashi <jkbys@ubuntu.com>  Thu, 24 Oct 2019 23:20:20 +0900

file-roller (3.32.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Sep 2019 15:41:20 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: file-roller
Section: gnome
Priority: optional
Maintainer: Jun Kobayashi <jkbys@ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gnome,
               itstool,
               libarchive-dev (>= 3),
               libglib2.0-dev (>= 2.36.0),
               libgtk-3-dev (>= 3.13.2),
               libjson-glib-dev (>= 0.14),
               libmagic-dev,
               libnautilus-extension-dev (>= 2.91.0),
               libnotify-dev (>= 0.4.3),
               meson (>= 0.43)
Rules-Requires-Root: no
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/file-roller
Vcs-Git: https://salsa.debian.org/gnome-team/file-roller.git
Homepage: https://wiki.gnome.org/Apps/FileRoller

Package: file-roller
Architecture: any
Depends: bzip2,
         ${zip:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gvfs,
            yelp
Suggests: ${zip:Suggests},
          arj,
          lha,
          lzip,
          lzma,
          lzop,
          ncompress,
          rpm2cpio,
          rzip,
          sharutils,
          squashfs-tools,
          unace,
          unalz,
          unar,
          xz-utils,
          zoo
Description: archive manager for GNOME
 File-roller is an archive manager for the GNOME environment. It allows you to:
 .
  * Create and modify archives.
  * View the content of an archive.
  * View a file contained in an archive.
  * Extract files from the archive.
 .
 File-roller supports the following formats:
  * Tar (.tar) archives, including those compressed with
    gzip (.tar.gz, .tgz), bzip (.tar.bz, .tbz), bzip2 (.tar.bz2, .tbz2),
    compress (.tar.Z, .taz), lzip (.tar.lz, .tlz), lzop (.tar.lzo, .tzo),
    lzma (.tar.lzma) and xz (.tar.xz)
  * Zip archives (.zip)
  * Jar archives (.jar, .ear, .war)
  * 7z archives (.7z)
  * iso9660 CD images (.iso)
  * Lha archives (.lzh)
  * Archiver archives (.ar)
  * Comic book archives (.cbz)
  * Single files compressed with gzip (.gz), bzip (.bz), bzip2 (.bz2),
    compress (.Z), lzip (.lz), lzop (.lzo), lzma (.lzma) and xz (.xz)
 .
 File-roller can extract following formats:
  * Cabinet archives (.cab)
  * Debian binary packages (.deb)
  * Xar archives (.xar)
 .
 File-roller doesn't perform archive operations by itself, but relies on
 standard tools for this.

## file-roller 3.35.90

=== debian/changelog ===
file-roller (3.35.90-1) unstable; urgency=medium

  * New upstream beta release
  * debian/docs: README is now README.md
  * Bump minimum meson to 0.50
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Feb 2020 10:40:24 -0500

file-roller (3.32.3-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Bump libnautilus-extension-dev build-dependency to
    3.27.90, this is the release that starts to ship nautilus-extension.h

  [ Sebastien Bacher ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Jan 2020 10:08:32 +0100

## file-roller 3.36.0

=== debian/changelog ===
file-roller (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 11:26:51 +0100

file-roller (3.35.92-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 16:14:43 +0100

file-roller (3.35.91-1) unstable; urgency=medium

  * New upstream beta release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Feb 2020 21:24:37 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Jun Kobayashi <jkbys@ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
@@ -16,11 +15,11 @@
                libgtk-3-dev (>= 3.13.2),
                libjson-glib-dev (>= 0.14),
                libmagic-dev,
-               libnautilus-extension-dev (>= 2.91.0),
+               libnautilus-extension-dev (>= 3.27.90),
                libnotify-dev (>= 0.4.3),
-               meson (>= 0.43)
+               meson (>= 0.50)
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/file-roller
 Vcs-Git: https://salsa.debian.org/gnome-team/file-roller.git
 Homepage: https://wiki.gnome.org/Apps/FileRoller

## file-roller 3.36.1

=== debian/changelog ===
file-roller (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 23:30:34 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                itstool,

## file-roller 3.36.2

=== debian/changelog ===
file-roller (3.36.2-0ubuntu1.1~ja1) focal; urgency=medium

  [ Dmitry Tunin ]
  * debian/patches/disable_p7zip-full_for_zip.patch
     - Disable using p7zip-full for zip files (LP: #1382106)

 -- Jun Kobayashi <jkbys@ubuntu.com>  Wed, 20 May 2020 17:01:45 +0900

file-roller (3.36.2-0ubuntu1) focal; urgency=medium

  * New stable update (lp: #1875589)
  * debian/patches/CVE-2020-11736.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Apr 2020 10:48:21 +0200

file-roller (3.36.1-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Directory traversal
    - debian/patches/CVE-2020-11736.patch: do not follow external
      links when extracting files in src/fr-archive-libarchive.c.
    - CVE-2020-11736

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 27 Apr 2020 09:22:51 -0300

## file-roller 3.36.3

=== meson_options.txt ===
option('run-in-place', 
  type : 'boolean', 
  value : false, 
  description : 'Load ui data from the source tree'
)

option('nautilus-actions',
  type : 'boolean', 
  value : true, 
  description : 'Build the nautilus context menu actions'
)

option('notification',
  type : 'boolean', 
  value : true, 
  description : 'Enable operation completion notification'
)

option('packagekit',
  type : 'boolean', 
  value : true, 
  description : 'Build PackageKit installer for missing utilities'
)

option('libarchive',
  type : 'boolean', 
  value : true, 
  description : 'Enable code that requires libarchive'
)

option('cpio',
  type : 'string',
  value : 'auto',
  description : 'Path to the cpio program'
)

=== debian/changelog ===
file-roller (3.36.3-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Directory Traversal
    - debian/patches/CVE-2020-36314.patch: skip files with symlinks in
      parents in src/fr-archive-libarchive.c.
    - CVE-2020-36314

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 09 Apr 2021 14:11:50 -0300

file-roller (3.36.3-0ubuntu1) focal; urgency=medium

  * New stable update (lp: #1897170)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Sep 2020 20:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dmagic=true

override_dh_makeshlibs:
	dh_makeshlibs --no-act

# p7zip is in Ubuntu "universe"
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- \
		-Vzip:Depends='unzip, zip' \
		-Vzip:Suggests='p7zip-full'
else
	dh_gencontrol -- \
		-Vzip:Depends='p7zip-full' \
		-Vzip:Suggests='unzip, zip'
endif

## file-roller 3.38.0

=== debian/changelog ===
file-roller (3.38.0-1ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Directory Traversal
    - debian/patches/CVE-2020-36314.patch: skip files with symlinks in
      parents in src/fr-archive-libarchive.c.
    - CVE-2020-36314

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 09 Apr 2021 11:38:43 -0300

file-roller (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 14:10:32 +0200

file-roller (3.37.90-1) experimental; urgency=medium

  * New upstream release
    - 7z: fix progress display when using p7zip (lp: #1889447)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 13:49:02 +0200

file-roller (3.36.2-1) unstable; urgency=medium

  * New upstream release
    - SECURITY UPDATE: do not follow external links when extracting files
      + CVE-2020-11736
      + Closes: #956638
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Apr 2020 19:39:17 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                itstool,
                libarchive-dev (>= 3),

## file-roller 3.38.1

=== debian/changelog ===
file-roller (3.38.1-1) unstable; urgency=medium

  * New upstream release including a fix for CVE-2020-36314

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Apr 2021 11:45:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@

## file-roller 3.40.0

=== debian/changelog ===
file-roller (3.40.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 19:07:38 -0400

file-roller (3.40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated libarchive requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Jun 2021 13:42:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                itstool,
-               libarchive-dev (>= 3),
+               libarchive-dev (>= 3.2),
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 3.13.2),
                libjson-glib-dev (>= 0.14),

## file-roller 3.42.0

=== debian/changelog ===
file-roller (3.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 08:57:30 -0400

file-roller (3.41.90-1) unstable; urgency=medium

  * New upstream release
  * Drop dark theme patch: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 17:35:23 -0500

file-roller (3.40.0-4) unstable; urgency=medium

  * Add proposed patch to support GNOME 42 dark theme preference
  * debian/control.in: Build-Depend on libhandy

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 14:40:38 -0500

file-roller (3.40.0-3) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Remove use of libmagic (upstream dropped support) (Closes: #998528)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Nov 2021 18:28:09 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 3.13.2),
                libjson-glib-dev (>= 0.14),
-               libmagic-dev,
+               libhandy-1-dev (>= 1.5.90),
                libnautilus-extension-dev (>= 3.27.90),
                libnotify-dev (>= 0.4.3),
                meson (>= 0.50)

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- -Dmagic=true
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-act

## file-roller 43.0

=== debian/changelog ===
file-roller (43.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 07:12:38 -0400

file-roller (43~alpha-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on desktop-file-utils
  * debian/control.in: Build-Depend on libgtk-4-dev
  * debian/control.in: Bump minimum meson to 0.59.0
  * debian/control.in: Bump minimum nautilus to 43~beta.1
  * debian/control.in: Drop obsolete Build-Depends on libnotify-dev
  * debian/rules: Opt out of the xdg-desktop-portal filechooser
  * Refresh patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 17:00:05 -0400

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               desktop-file-utils,
                dh-sequence-gnome,
                itstool,
                libarchive-dev (>= 3.2),
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 3.13.2),
+               libgtk-4-dev,
                libjson-glib-dev (>= 0.14),
                libhandy-1-dev (>= 1.5.90),
-               libnautilus-extension-dev (>= 3.27.90),
-               libnotify-dev (>= 0.4.3),
-               meson (>= 0.50)
+               libnautilus-extension-dev (>= 43~beta.1),
+               meson (>= 0.59)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/file-roller
 Vcs-Git: https://salsa.debian.org/gnome-team/file-roller.git
 Homepage: https://wiki.gnome.org/Apps/FileRoller

## file-roller 43.0+mint1+gigi

=== meson_options.txt ===
option(
  'run-in-place',
  type: 'boolean',
  value: false,
  description: 'Load ui data from the source tree',
)

option(
  'nautilus-actions',
  type: 'feature',
  value: 'auto',
  description: 'Build the nautilus context menu actions',
)

option(
  'notification',
  type: 'feature',
  value: 'auto',
  description: 'Enable operation completion notification',
)

option(
  'use_native_appchooser',
  type: 'boolean',
  value: true,
  description: '''Whether to use desktop environment’s native app chooser via
  XDG portal. Offers better desktop integration but ‘Open with…’ dialogue will
  ask for each file individually, when opening multiple files.''',
)

option(
  'packagekit',
  type: 'boolean',
  value: true,
  description: 'Build PackageKit installer for missing utilities',
)

option(
  'libarchive',
  type: 'feature',
  value: 'auto',
  description: 'Enable code that requires libarchive',
)

option(
  'cpio',
  type: 'string',
  value: 'auto',
  description: 'Path to the cpio program',
)

option(
  'introspection',
  type: 'feature',
  value: 'disabled',
  description: 'Generate introspection data for the executable (e.g. for static analysis and API docs)',
)

option(
  'api_docs',
  type: 'feature',
  value: 'disabled',
  description: 'Use gi-docgen to build API documentation (only useful for people developing File Roller)',
)

=== debian/changelog ===
file-roller (43.0+mint1+gigi) wilma; urgency=medium

  [ Paolo Bacchilega ]
  * 7zip: ask password if the command returns with status 255

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jul 2024 15:14:31 +0100

## file-roller 43.0+mint1+wilma

=== debian/changelog ===
file-roller (43.0+mint1+wilma) wilma; urgency=medium

  [ Paolo Bacchilega ]
  * 7zip: ask password if the command returns with status 255

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jul 2024 15:14:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -Duse_native_appchooser=false
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-act

## file-roller 43.0-1+wilma

=== debian/changelog ===
file-roller (43.0-1+wilma) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 07:12:38 -0400

## file-roller 43.1

=== debian/changelog ===
file-roller (43.1-1) unstable; urgency=medium

  * New upstream release
    - Bugfixes:
      + Fixed deb package support. (Bastien Nocera)
        (https://gitlab.gnome.org/GNOME/file-roller/-/issues/14)
      + Fixed wrong filename when opening a files on Google Drive.
        (Frank Dana)
        (https://gitlab.gnome.org/GNOME/file-roller/-/issues/212)
      + Updated README. (Jan Tojnar)
      + Fixed flapak build. (David Hewitt) (Jan Tojnar)
        (https://gitlab.gnome.org/GNOME/file-roller/-/merge_requests/113)
  * debian/upstream/metadata: Add
  * Stop using debian/control.in
  * debian/control: Update Standards-Version to 4.6.2,
    no changes needed

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 15 Dec 2023 15:10:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: file-roller
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
@@ -20,7 +16,7 @@
                libnautilus-extension-dev (>= 43~beta.1),
                meson (>= 0.59)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/file-roller
 Vcs-Git: https://salsa.debian.org/gnome-team/file-roller.git
 Homepage: https://wiki.gnome.org/Apps/FileRoller

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,6 @@
 		-Vzip:Depends='p7zip-full' \
 		-Vzip:Suggests='unzip, zip'
 endif
+
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control

## file-roller 44.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,9 @@
+option('warn-deprecated',
+  type : 'boolean',
+  value : true,
+  description : 'Enable deprecated declaration warnings in debug mode'
+)
+
 option(
   'run-in-place',
   type: 'boolean',

=== debian/changelog ===
file-roller (44.1-1) unstable; urgency=medium

  * New upstream release
  * Revert "Cherry-pick 5 patches": patches were applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Apr 2024 08:59:03 -0400

file-roller (44-2) unstable; urgency=medium

  * Cherry-pick 5 patches to fix various issues

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Apr 2024 14:45:40 -0400

file-roller (44-1) unstable; urgency=medium

  * New upstream release (LP: #2059335)
  * Drop patch applied in new release
  * Depend on 7zip instead of p7zip on Debian (Closes: #1042447)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 17:38:22 -0400

file-roller (44~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump minimum required libglib2.0-dev to 2.38.0
  * debian/control: Update to build with GTK 4, following upstream
  * debian/patches/ftbfs-gdkscreen.patch: Add patch to drop call to
    deprecated and removed GdkScreen-related method causing FTBFS
    with -Werror=implicit-function-declaration
  * debian/copyright: Drop superfluous 'Files: src/egg*' pattern (and
    accompanying license text) for unused files that were previously
    dropped upstream

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 21 Mar 2024 15:49:58 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
+               libadwaita-1-dev (>= 1.2),
                libarchive-dev (>= 3.2),
-               libglib2.0-dev (>= 2.36.0),
-               libgtk-3-dev (>= 3.13.2),
-               libgtk-4-dev,
+               libglib2.0-dev (>= 2.38.0),
+               libgtk-4-dev (>= 4.8.1),
                libjson-glib-dev (>= 0.14),
-               libhandy-1-dev (>= 1.5.90),
                libnautilus-extension-dev (>= 43~beta.1),
                meson (>= 0.59)
 Rules-Requires-Root: no

## file-roller 44.3

=== debian/changelog ===
file-roller (44.3-0ubuntu1) noble; urgency=medium

  * New upstream release (lp: #2067387)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 May 2024 10:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,

## file-roller 44.4

=== debian/changelog ===
file-roller (44.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 09:32:04 -0500

file-roller (44.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 May 2024 15:56:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
@@ -16,7 +15,7 @@
                libnautilus-extension-dev (>= 43~beta.1),
                meson (>= 0.59)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/file-roller
 Vcs-Git: https://salsa.debian.org/gnome-team/file-roller.git
 Homepage: https://wiki.gnome.org/Apps/FileRoller

## file-roller 44.5

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 option('warn-deprecated',
   type : 'boolean',
-  value : true,
+  value : false,
   description : 'Enable deprecated declaration warnings in debug mode'
 )
 
@@ -28,10 +28,10 @@
 option(
   'use_native_appchooser',
   type: 'boolean',
-  value: true,
+  value: false,
   description: '''Whether to use desktop environment’s native app chooser via
-  XDG portal. Offers better desktop integration but ‘Open with…’ dialogue will
-  ask for each file individually, when opening multiple files.''',
+  XDG portal. Offers better desktop integration but only works when opening a
+  single file.''',
 )
 
 option(

=== debian/changelog ===
file-roller (44.5-1ubuntu0.1) questing; urgency=medium

  * debian/patches/git_7z_arg.patch:
    - backport change to fix adding files to subdirs in an existing 7z
      archive (lp: #2115289)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Feb 2026 21:03:58 +0100

file-roller (44.5-1) unstable; urgency=medium

  * New upstream release
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:27:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>,
+           Marco Trevisan (Treviño) <marco@ubuntu.com>,
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
                desktop-file-utils,
-               dh-sequence-gnome,
                itstool,
                libadwaita-1-dev (>= 1.2),
                libarchive-dev (>= 3.2),
@@ -22,14 +26,9 @@
 
 Package: file-roller
 Architecture: any
-Depends: bzip2,
-         ${zip:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: gvfs,
-            yelp
-Suggests: ${zip:Suggests},
-          arj,
+Depends: bzip2, ${misc:Depends}, ${shlibs:Depends}, ${zip:Depends}
+Recommends: gvfs, yelp
+Suggests: arj,
           lha,
           lzip,
           lzma,
@@ -43,7 +42,8 @@
           unalz,
           unar,
           xz-utils,
-          zoo
+          zoo,
+          ${zip:Suggests}
 Description: archive manager for GNOME
  File-roller is an archive manager for the GNOME environment. It allows you to:
  .

## file-roller 44.6

=== debian/changelog ===
file-roller (44.6-3) unstable; urgency=medium

  * Restore accidentally removed Standards-Version
  * Remove obsolete override_dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 22:10:09 -0500

file-roller (44.6-2) unstable; urgency=medium

  * Remove obsolete Suggests: zoo (Closes: #885503, #1119000)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Nov 2025 17:50:32 -0500

file-roller (44.6-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 Oct 2025 10:54:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: file-roller
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
@@ -18,11 +17,10 @@
                libjson-glib-dev (>= 0.14),
                libnautilus-extension-dev (>= 43~beta.1),
                meson (>= 0.59)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/file-roller
 Vcs-Git: https://salsa.debian.org/gnome-team/file-roller.git
-Homepage: https://wiki.gnome.org/Apps/FileRoller
+Homepage: https://gitlab.gnome.org/GNOME/file-roller
 
 Package: file-roller
 Architecture: any
@@ -42,7 +40,6 @@
           unalz,
           unar,
           xz-utils,
-          zoo,
           ${zip:Suggests}
 Description: archive manager for GNOME
  File-roller is an archive manager for the GNOME environment. It allows you to:

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,9 @@
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	dh_gencontrol -- \
 		-Vzip:Depends='unzip, zip' \
-		-Vzip:Suggests='p7zip-full'
+		-Vzip:Suggests='7zip'
 else
 	dh_gencontrol -- \
-		-Vzip:Depends='p7zip-full' \
+		-Vzip:Depends='7zip' \
 		-Vzip:Suggests='unzip, zip'
 endif
-
-override_dh_gnome_clean:
-	dh_gnome_clean --no-control
